{
    apiVersion: "apps/v1",
    kind: "Deployment",
    metadata: {
        name: "picc",
        labels: {
            app: "picc"
        }
    },
    spec: {
        replicas: 1,
        selector: {
            matchLabels: {
                app: "picc"
            }
        },
        template: {
            metadata: {
                labels: {
                    app: "picc"
                }
            },
            spec: {
                containers: [
                    {
                        name: "picc",
                        image: "docker.raptorpond.com/picc",
                        env: [
                            {
                                name: "RABBITMQ_HOST",
                                valueFrom: {
                                    configMapKeyRef: {
                                        name: "picc-config",
                                        key: "rabbitmq_host"
                                    }
                                }
                            },
                            {
                                name: "RABBITMQ_PORT",
                                valueFrom: {
                                    configMapKeyRef: {
                                        name: "picc-config",
                                        key: "rabbitmq_port"
                                    }
                                }
                            },
                            {
                                name: "POSTGRES_HOST",
                                valueFrom: {
                                    configMapKeyRef: {
                                        name: "picc-config",
                                        key: "postgres_host"
                                    }
                                }
                            },
                            {
                                name: "POSTGRES_PASSWORD",
                                valueFrom: {
                                    secretKeyRef: {
                                        name: "postgres-password",
                                        key: "password"
                                    }
                                }
                            }
                        ]
                    }
                ]
            }
        }
    }
}