{
    apiVersion: "apps/v1",
    kind: "Deployment",
    metadata: {
        name: "rabbitmq",
        labels: {
            app: "rabbitmq"
        }
    },
    spec: {
        replicas: 1,
        selector: {
            matchLabels: {
                app: "rabbitmq"
            }
        },
        template: {
            metadata: {
                labels: {
                    app: "rabbitmq"
                }
            },
            spec: {
                containers: [
                    {
                        name: "rabbitmq",
                        image: "docker.io/rabbitmq:3",
                        ports: [
                            {containerPort: 5672},
                            {containerPort: 15672},
                            {containerPort: 1883}
                        ],
                        volumeMounts: [
                            {
                                mountPath: "/etc/rabbitmq",
                                name: "config"
                            }
                        ]
                    }
                ],
                volumes: [
                    {
                        name: "config",
                        configMap: {
                            name: "rabbitmq-config",
                            items: [
                                {key: "enabled_plugins",
                                    path: "enabled_plugins"},
                                {key: "rabbitmq.conf",
                                    path: "rabbitmq.conf"},
                                {key: "rmq_schema.json",
                                    path: "rmq_schema.json"}
                            ]
                        }
                    }
                ]
            }
        }
    }
}