local namespace="picc-dev";

local utils = import "../lib/picc-k8s.libsonnet";

local postgres = import "../deployments/postgres/postgres.jsonnet";
local postgres_manifests = postgres(ip="192.168.2.201");

local rabbitmq = import "../deployments/rabbitmq/rabbitmq.jsonnet";
local rabbitmq_manifests = rabbitmq(ip="192.168.2.200");

[utils.createNamespace(namespace),] +
[utils.addNamespace(postgres_manifests[manifest], namespace) for manifest in std.objectFields(postgres_manifests)] +
[utils.addNamespace(rabbitmq_manifests[manifest], namespace) for manifest in std.objectFields(rabbitmq_manifests)]
