local namespace="picc-prod";

local utils = import "../lib/picc-k8s.libsonnet";

local postgres = import "../deployments/postgres/postgres.jsonnet";
local rabbitmq = import "../deployments/rabbitmq/rabbitmq.jsonnet";
local picc = import "../deployments/picc/picc.jsonnet";

function(postgres_password)

local postgres_manifests = postgres(password=postgres_password);
local rabbitmq_manifests = rabbitmq();
local picc_manifests = picc(namespace);

[utils.createNamespace(namespace),] +
[utils.addNamespace(postgres_manifests[manifest], namespace) for manifest in std.objectFields(postgres_manifests)] +
[utils.addNamespace(rabbitmq_manifests[manifest], namespace) for manifest in std.objectFields(rabbitmq_manifests)] +
[utils.addNamespace(picc_manifests[manifest], namespace) for manifest in std.objectFields(picc_manifests)]
